cmake_minimum_required(VERSION 3.10.0)
project(test_prod_ts)
include(FetchContent)
if (MSVC)
    add_compile_options(/utf-8)
endif()
FetchContent_Declare(
  googletest
  URL https://github.com/google/googletest/archive/03597a01ee50ed33e9dfd640b249b4be3799d395.zip
)
# For Windows: Prevent overriding the parent project's compiler/linker settings
set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
FetchContent_MakeAvailable(googletest)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../include)

include(CTest)
enable_testing()

add_executable(test_prod_ts test_OpenApiConfig.cpp ../src/main/java/com/example/demo/config/OpenApiConfig.java)

target_link_libraries(test_prod_ts gtest gmock gtest_main)
include(GoogleTest)
gtest_discover_tests(test_prod_ts)